rules:
  # Bronze
  action-setup:
    status: exempt
    comment: Integration does not register custom actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions: todo
  docs-high-level-description: todo
  docs-installation-instructions: done
  docs-removal-instructions: todo
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions: done
  config-entry-unloading: done
  docs-configuration-parameters: todo
  docs-installation-parameters: todo
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: todo
  reauthentication-flow: done
  test-coverage: done
  # Gold
  devices: done
  diagnostics: done
  discovery-update-info: done
  discovery: done
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: done
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      This integration connects to a single device.
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations:
    status: exempt
    comment: |
      The coordinator needs translation when the update failed.
  icon-translations: done
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      This integration does not raise any repairable issues.
  stale-devices:
    status: exempt
    comment: |
      This integration connects to a single device.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
